Open Bug 736325 Opened 8 years ago Updated 7 years ago

[cn-sea-qm-win2k3-01] Frequent "test_websocket_basic.html | Test timed out." + "test_websocket_hello.html | Connection closed cleanly"

Categories

(SeaMonkey :: Testing Infrastructure, defect, major)

x86
Windows Server 2003
defect
Not set
major

Tracking

(Not tracked)

REOPENED

People

(Reporter: sgautherie, Unassigned)

References

(Blocks 1 open bug, )

Details

(Whiteboard: [This is just Bug 621347 with new test name] [cc-orange])

Afaict, this is 'cn-sea-qm-win2k3-01' specific.

Firefox had a "similar" bug 669819.
SeaMonkey has bug 621347!

****

Examples:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331612744.1331618456.8496.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/03/12 21:25:44

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331849139.1331854973.23877.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/03/15 15:05:39

{
39130 INFO TEST-PASS | /tests/content/base/test/test_websocket_basic.html | Wrong message - test message100 should equal test message100
NEXT ERROR 39131 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_basic.html | Test timed out.
If you fixed bug 589668, you'd get a screenshot here
39132 INFO TEST-PASS | /tests/content/base/test/test_websocket_basic.html | Didn't receive all the messages! - 100 should equal 100
39133 INFO TEST-PASS | /tests/content/base/test/test_websocket_basic.html | Connection closed cleanly
39134 INFO TEST-END | /tests/content/base/test/test_websocket_basic.html | finished in 431242ms

39135 INFO TEST-START | /tests/content/base/test/test_websocket_hello.html
39136 INFO TEST-PASS | /tests/content/base/test/test_websocket_hello.html | 'this' should point to the WebSocket. (2) - [object WebSocket @ 0xcef6730 (native @ 0x108e9988)] should equal [object WebSocket @ 0xcef6730 (native @ 0x108e9988)]
NEXT ERROR 39137 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_hello.html | Connection closed cleanly
++DOMWINDOW == 290 (0D3C73E0) [serial = 963] [outer = 079DE6B8]
39138 INFO TEST-PASS | /tests/content/base/test/test_websocket_hello.html | Wrong data - Hello world! should equal Hello world!
39139 INFO TEST-END | /tests/content/base/test/test_websocket_hello.html | finished in 2289ms
}

The former is obviously failing and "leaking" into the latter.
Bug 589668 enabled taking a screenshot.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1334089096.1334094031.13506.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/04/10 13:18:16
s: cn-sea-qm-win2k3-01
{
SCREENSHOT: data:image/png;base64,[...]

41180 INFO TEST-END | /tests/content/base/test/test_websocket_basic.html | finished in 302819ms

}

Screenshot is fine: 'test_websocket_basic.html' is executing, '100' is displayed :-|

But notice "302 > 300 seconds" :-<
Iiuc, the test sends the 100 msgs first, then receives them all, the timeout triggers when TestRunner timeout callback runs immediately after that.

*****

A previous run that succeeded:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1334006800.1334011709.29728.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/04/09 14:26:40
s: cn-sea-qm-win2k3-01
{
41188 INFO TEST-END | /tests/content/base/test/test_websocket_basic.html | finished in 296102ms
}

Notice how close 296 is to 300 seconds :-/
Then I would assume this box is simply too slow to run this long test (reliably).

***

Options are:
1- Reduce the number of "loop" iterations.
2- Seperate forgegc() test 3 out.
3- Split whole test into (its) 5 parts.

I assume option 2 should be enough wrt this bug.
Olli, do you agree?
Depends on: 589668, 562681
Whiteboard: [perma-orange] → [This is just Bug 621347 with new test name] [perma-orange]
Depends on: 744279
Note that it's in the current SeaMonkey build machine plans to move this VM to a different host, which probably will be faster as well.
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #2)
> move this VM to a different host

I +/- read that, but it can only/always help to make the test shorter (anyway).
And that box hasn't moved yet...
Blocks: 438871
Depends on: 744663
Whiteboard: [This is just Bug 621347 with new test name] [perma-orange] → [This is just Bug 621347 with new test name] [perma-orange][orange]
Summary: [cn-sea-qm-win2k3-01] "test_websocket_basic.html | Test timed out." + "test_websocket_hello.html | Connection closed cleanly" → [cn-sea-qm-win2k3-01] Frequent "test_websocket_basic.html | Test timed out." + "test_websocket_hello.html | Connection closed cleanly"
Whiteboard: [This is just Bug 621347 with new test name] [perma-orange][orange] → [This is just Bug 621347 with new test name] [orange]
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Hmm. Not sure why this was closed. Reopening.
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
(In reply to Philip Chee from comment #4)
> Hmm. Not sure why this was closed. Reopening.

Intermittent orange with last modified datetime greater than 3 months ago.
Hi Ed, This is a SeaMonkey bug. I think we have different rules over here. I'll ask Callek to comment here.
Flags: needinfo?(bmo)
(In reply to Philip Chee from comment #6)
> Hi Ed, This is a SeaMonkey bug. I think we have different rules over here.
> I'll ask Callek to comment here.

We don't have rules per se for non-seamonkey intermittent failure bugs, this was just a periodic general cleanup of all bugzilla bugs that contained [orange] in the whiteboard and thus are seen (/suggested) by TBPL. ie: if the failure hasn't been starred and thus commented on by TBPLbot for 3 months, then we find it preferable to mark WFM so we can focus our OrangeFactor efforts on those that are still occurring & also reduce the risk of mis-starring a failure, when several are matched by a failure line.

If you would rather me exclude the SeaMonkey product from the saved search I use, then I can - the only thing is that these bugs will still be seen by TBPL, unless you also switch to using something other than [orange] in the whiteboard (eg [cc-orange] that some bugs already use).
Flags: needinfo?(bmo)
Whiteboard: [This is just Bug 621347 with new test name] [orange] → [This is just Bug 621347 with new test name] [cc-orange]
No longer blocks: 438871
You need to log in before you can comment on or make changes to this bug.